import { exist } from '../../support/cypress.util';

export class StatistikE2EComponent {
  private readonly locatorHeaderText: string = 'statistik-header-text';
  private readonly locatorWeitereFelderAuswertenButton = 'weitere-felder-auswerten-button';

  public isHeaderTextVisible(): void {
    exist(cy.getTestElement(this.locatorHeaderText));
  }

  public getWeiterFelderAuswertenButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorWeitereFelderAuswertenButton);
  }
}
