import { TestBed } from '@angular/core/testing';
import { ActivatedRouteSnapshot, RouteReuseStrategy } from '@angular/router';
import { NoRouteReuseStrategy } from './main';

describe('route reuse strategy', () => {
  let strategy: RouteReuseStrategy;
  beforeEach(() => {
    TestBed.configureTestingModule({ providers: [{ provide: RouteReuseStrategy, useClass: NoRouteReuseStrategy }] });

    strategy = TestBed.inject(RouteReuseStrategy);
  });

  describe('shouldReuseRoute', () => {
    it('should return false', () => {
      expect(strategy.shouldReuseRoute(new ActivatedRouteSnapshot(), new ActivatedRouteSnapshot())).toEqual(false);
    });
  });
});
