import { ListResource } from '@alfa-client/tech-shared';
import { Resource } from '@ngxp/rest';

export interface AggregationMapping {
  formIdentifier: FormIdentifier;
  mappings: FieldMapping[];
}

export interface FormIdentifier {
  formEngineName: string;
  formId: string;
}

export interface FieldMapping {
  sourcePath: string;
  targetPath: string;
}

export interface AggregationMappingResource extends AggregationMapping, Resource {}
export interface AggregationMappingListResource extends ListResource {}
