import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { createUserFormGroup } from '../../../../test/form';
import { UserFormDataComponent } from './user-form-data.component';

describe('UserFormDataComponent', () => {
  let component: UserFormDataComponent;
  let fixture: ComponentFixture<UserFormDataComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserFormDataComponent, ReactiveFormsModule],
    }).compileComponents();

    fixture = TestBed.createComponent(UserFormDataComponent);
    component = fixture.componentInstance;
    component.formGroupParent = createUserFormGroup();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
