import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { InfoIconComponent, TooltipDirective } from '@ods/system';
import { MockComponent, MockDirective } from 'ng-mocks';
import { createUserFormGroup } from '../../../../test/form';
import { UserFormRolesComponent } from './user-form-roles.component';

describe('UserFormRolesComponent', () => {
  let component: UserFormRolesComponent;
  let fixture: ComponentFixture<UserFormRolesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserFormRolesComponent, ReactiveFormsModule, MockComponent(InfoIconComponent), MockDirective(TooltipDirective)],
    }).compileComponents();

    fixture = TestBed.createComponent(UserFormRolesComponent);
    component = fixture.componentInstance;
    component.formGroupParent = createUserFormGroup();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
