import { ConfigurationLinkRel, ConfigurationResource } from '@admin-client/configuration-shared';
import { HasLinkPipe, StateResource } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, Input } from '@angular/core';
import { MailboxIconComponent, NavItemComponent, StatisticIconComponent } from '@ods/system';

@Component({
  selector: 'admin-menu',
  standalone: true,
  imports: [CommonModule, NavItemComponent, MailboxIconComponent, StatisticIconComponent, HasLinkPipe],
  templateUrl: './menu.component.html',
})
export class MenuComponent {
  @Input() configurationStateResource: StateResource<ConfigurationResource>;

  public readonly configurationLinkRel = ConfigurationLinkRel;
}
