import { ADMIN_FORMSERVICE, AdminCancelButtonComponent, AdminSaveButtonComponent, ROUTES } from '@admin-client/shared';
import { CommonModule } from '@angular/common';
import { Component, inject } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextEditorComponent } from '@ods/component';
import { ButtonComponent, DeleteIconComponent, PlusIconComponent } from '@ods/system';
import { StatistikFieldsFormService } from '../statistik-fields.formservice';

@Component({
  selector: 'statistik-fields-form-mapping',
  templateUrl: './statistik-fields-form-mapping.component.html',
  standalone: true,
  imports: [
    CommonModule,
    ButtonComponent,
    PlusIconComponent,
    ReactiveFormsModule,
    TextEditorComponent,
    DeleteIconComponent,
    AdminSaveButtonComponent,
    AdminCancelButtonComponent,
  ],
})
export class AdminStatistikFieldsFormMappingComponent {
  public readonly formService = <StatistikFieldsFormService>inject(ADMIN_FORMSERVICE);

  public readonly StatistikFieldsFormService = StatistikFieldsFormService;
  public readonly Routes = ROUTES;
}
