import { AdminDeleteOpenDialogButtonComponent } from '@admin-client/shared';
import { DIALOG_COMPONENT } from '@alfa-client/ui';
import { Component } from '@angular/core';
import { UserDeleteDialogContainerComponent } from '../user-form-delete-dialog-container/user-delete-dialog-container.component';

@Component({
  selector: 'admin-user-form-delete-container-button',
  standalone: true,
  imports: [AdminDeleteOpenDialogButtonComponent],
  providers: [{ provide: DIALOG_COMPONENT, useValue: UserDeleteDialogContainerComponent }],
  templateUrl: './user-form-delete-button-container.component.html',
})
export class UserFormDeleteButtonContainerComponent {}
